﻿(function ($) {
   
    $.fn.extend({
        contentSlider: function (settings) {
            return this.each(function () {

                var contentSlider = $(this);

                // Function to animate slider captions 
                function doAnimations(elems) {
                    elems.each(function () {
                        var $this = $(this),
                            $animationType = $this.data('animation');

                        $this.addClass($animationType).one(Prefixer.event.transitionEnd, function () {
                            $this.removeClass($animationType);
                        });
                    });
                }

                // Variables on page load 
                var firstAnimatingElems = contentSlider.find('.item:first').find("[data-animation ^= 'animated']");

                // Initialize carousel 
                contentSlider.carousel();

                // Animate captions in first slide on page load 
                doAnimations(firstAnimatingElems);

                // Pause carousel  
                contentSlider.carousel('pause');

                // Other slides to be animated on carousel slide event 
                contentSlider.on('slide.bs.carousel', function (e) {
                    var $animatingElems = $(e.relatedTarget).find("[data-animation ^= 'animated']");
                    doAnimations($animatingElems);
                });

                contentSlider.on('swipeleft', function (e) { contentSlider.carousel('next'); });
                contentSlider.on('swiperight', function (e) { contentSlider.carousel('prev'); });
            })
        }
    });
})(jQuery);